Permalink
Browse files

Bringing right_flexiscale_0_1_0 changes back into mainline

Squashed commit of the following:

commit 5710ed823d307b6249e204f61e9354a5cdf3047f
Author: Todd <todd@rightscale.com>
Date:   Mon Feb 23 15:09:22 2009 -0800

    refs #2785: adjust README, Rakefile, & copyright messages to prepare for alpha (0.1.0) release to the pubic
  • Loading branch information...
1 parent d696dc5 commit a92629d553b4fc5111fa7035b33ec76e3626644d @trbryan trbryan committed Feb 24, 2009
Showing with 25 additions and 14 deletions.
  1. +11 −6 README.txt
  2. +10 −4 Rakefile
  3. +1 −1 lib/api/right_flexiscale_api.rb
  4. +3 −3 lib/right_flexiscale.rb
View
@@ -1,14 +1,19 @@
-= right_flexiscale
+== RightScale Flexiscale API Ruby Gem
-* FIX (url)
+Published by RightScale, Inc. under the MIT License. For information about
+RightScale, see www.rightscale.com
== DESCRIPTION:
-FIX (describe your package)
+The RightScale GoGrid gem has been designed to provide a robust interface to
+Flexiscale‘s existing API.
+
== FEATURES/PROBLEMS:
-* FIX (list of features or problems)
+ * Full programmatic access to the Flexiscale API.
+ * Complete error handling: all operations check for errors and report
+ complete error information.
== SYNOPSIS:
@@ -45,11 +50,11 @@ FIX (describe your package)
== INSTALL:
-* gem install right_flexiscale
+* sudo gem install right_flexiscale
== LICENSE:
-Copyright (c) 2008 RightScale Inc
+Copyright (c) 2008-2009 RightScale Inc
Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
View
@@ -1,4 +1,3 @@
-# -*- ruby -*-
require 'rubygems'
require 'hoe'
@@ -9,22 +8,29 @@ require 'lib/right_flexiscale.rb'
testglobs = []
-
# Suppress Hoe's self-inclusion as a dependency for our Gem. This also keeps
# Rake & rubyforge out of the dependency list. Users must manually install
# these gems to run tests, etc.
+# TRB 2/19/09: also do this for the extra_dev_deps array present in newer hoes.
+# Older versions of RubyGems will try to install developer-dependencies as
+# required runtime dependencies....
class Hoe
def extra_deps
@extra_deps.reject do |x|
Array(x).first == 'hoe'
end
end
+ def extra_dev_deps
+ @extra_dev_deps.reject do |x|
+ Array(x).first == 'hoe'
+ end
+ end
end
Hoe.new('right_flexiscale', RightFlexiscale::VERSION::STRING) do |p|
- p.rubyforge_name = 'rightflexiscale'
+ p.rubyforge_name = 'rightscale'
p.author = 'RightScale, Inc.'
- p.email = 'support@rightscale.com'
+ p.email = 'rubygems@rightscale.com'
p.summary = 'Interface classes for the FlexiScale Web Services'
p.description = p.paragraphs_of('README.txt', 2..5).join("\n\n")
p.url = p.paragraphs_of('README.txt', 0).first.split(/\n/)[1..-1]
@@ -1,5 +1,5 @@
#
-# Copyright (c) 2008 RightScale Inc
+# Copyright (c) 2008-2009 RightScale Inc
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
@@ -1,5 +1,5 @@
#
-# Copyright (c) 2008 RightScale Inc
+# Copyright (c) 2008-2009 RightScale Inc
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
@@ -34,8 +34,8 @@
module RightFlexiscale
module VERSION #:nodoc:
MAJOR = 0
- MINOR = 0
- TINY = 1
+ MINOR = 1
+ TINY = 0
STRING = [MAJOR, MINOR, TINY].join('.')
end

0 comments on commit a92629d

Please sign in to comment.